import { getMandateIDs } from '@/services/eqSelfInspection';
import { useRequest } from '@umijs/max';
import { useState } from 'react';

const useMandate = () => {
  const [mandate, setMandate] = useState([]);
  const { run } = useRequest(getMandateIDs, {
    manual: true,
    formatResult(res) {
      setMandate(res);
    },
    initialData: [],
  });

  const getMandateId = (id) => {
    return mandate.find((item) => item.relation_id == id)?.mandate_id;
  };

  return {
    mandate,
    queryMandate: run,
    getMandateId,
  };
};

export default useMandate;
