import PageContent from '@/components/PageContent';
import TabsContent from '@/components/TabsContent';
import { UnityAction } from '@/utils/utils';
import AirConditioner from './components/AirConditioner';
import Light from './components/Light';
import { CaretLeftFilled } from '@ant-design/icons';

function Hardware() {
  const handleTabsChange = (tab) => {
    // UnityAction.sendMsg(tab == '1' ? 'ACData' : 'lightData');
  };

  // useEffect(() => {
  //   UnityAction.sendMsg('ACData');
  // }, []);

  return (
    <PageContent closeable={false}>
      <CaretLeftFilled
        style={{
          fontSize: '0.3rem',
          cursor: 'pointer',
          marginRight: '0.15rem',
          color: '#0139F1',
          position: 'absolute',
          left: '0.5rem',
          top: '0.5rem',
        }}
        onClick={() => UnityAction.sendMsg('menuItem', '智能管控')}
      />
      <TabsContent
        defaultActiveKey="1"
        onChange={handleTabsChange}
        center={true}
        items={[
          {
            label: `空调控制`,
            key: '1',
            children: <AirConditioner />,
          },
          {
            label: `照明控制`,
            key: '2',
            children: <Light />,
          },
        ]}
      />
    </PageContent>
  );
}

export default Hardware;
