import {
  getFileList,
  getOpsFileType,
  removePurchaseRequestBillFileById,
} from '@/services/device';
import { message } from 'antd';

export default {
  namespace: 'equipmentProcurementList',
  state: {
    list: {},
    folders: [],
  },

  effects: {
    *getFileList({ payload }, { call, put }) {
      try {
        const response = yield call(getFileList, payload);
        if (response) {
          yield put({
            type: 'save',
            payload: { list: response.data },
          });
        }
      } catch (error) {
        console.error(error);
      }
    },

    *getOpsFileType({ projectId, fileType, callback }, { call, put }) {
      try {
        const response = yield call(getOpsFileType, projectId);
        // console.log(response.data);
        if (response) {
          yield put({
            type: 'save',
            payload: {
              folders: response.data.filter((each) => each.Type == fileType),
            },
          });
          // console.log(response.data.filter(each => each.Type == fileType));
          callback &&
            callback(response.data.filter((each) => each.Type == fileType));
        }
      } catch (error) {
        console.error(error);
      }
    },

    *removeFile({ payload }, { call, put }) {
      const response = yield call(removePurchaseRequestBillFileById, payload);
      if (response) {
        message.success('删除成功');
        yield put({
          type: 'getFileList',
          payload: {
            billId: payload.billId,
            deviceCode: payload.deviceCode,
            fileType: payload.fileType,
            projectId: payload.projectId,
            ops: payload.ops == '1' ? 1 : undefined,
          },
        });
      }
    },
  },

  reducers: {
    save(state, action) {
      return {
        ...state,
        ...action.payload,
      };
    },
  },
};
